<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 1 - מבוא לתכנות</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="prev" href="node15.html#h">
</head>
<body>
  
גרסה 1.2
<h1>פגישה 1 - מבוא לתכנות</h1>
  <div class="nav" dir="ltr" align="right"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node15.html#h">[Previous]</A> [Next]</div><h2><a name="summary"></a>לסיכום</h2>
                   
<ul>
   <li>כתיבת תוכניות מחשב היא הפעולה הלוקחת בעיה, מציעה פיתרון, ומתארת את
הפיתרון הזה באמצעות שפת תיכנות.</li>
   <li>מאחר ושפות התיכנות מוגבלות יותר משפת בני-האדם, על התוכניות להיות מפורטות
מאוד ומדוייקות מאוד.</li>
   <li>כתיבת הקוד בשפת התיכנות מהווה רק חלק מכתיבת תוכנית עובדת - כעת יש צורך
לבדוק את התוכנית היטב, לתקן את השגיאות, לבדוק שוב, לתקן שוב, עד שהתוכנית
משביעה את רצוננו.</li>
   <li>לפעילות מחזורית זו (כתיבה, בדיקה, תיקון) קוראים בשם מחזור הפיתוח
(development cycle) של התוכנה.</li>
</ul>
                                                        
                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:choo@actcom.co.il">גיא קרן</a><br>
          </address>
                   
</body>
</html>
